LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
TextUserDefinedAttributesSupplier Service Referencepublished

A component that supports this service preserves XML attributes, unknown by its parser, that belong to the XML element representing it (the component). More...

`import"TextUserDefinedAttributesSupplier.idl";`

## Public Attributes
::com::sun::star::container::XNameContainer | TextUserDefinedAttributes
| This container holds the AttributeData elements that represent uninterpreted XML attributes of a text. More...

## Detailed Description

A component that supports this service preserves XML attributes, unknown by its parser, that belong to the XML element representing it (the component).

Since
  OOo 2.0.4

## Member Data Documentation

::com::sun::star::container::XNameContainer TextUserDefinedAttributes
| property

This container holds the AttributeData elements that represent uninterpreted XML attributes of a text.

The idea behind this property is that a parser can stow away all attributes that it cannot handle by itself on reading an XML file. When the file is stored again, the unknown attributes can be written back without loss.

The com::sun::star::container::XNameContainer supports the service AttributeContainer.

The documentation for this service was generated from the following file:

- com/sun/star/xml/TextUserDefinedAttributesSupplier.idl